export const dateFormat = (time = new Date().getTime()) => { //YYYY年MM月DD日 星期d
  const _time = time.toString().length > 10 ? time : time * 1000
  const weekList = ["日","一", "二", "三", "四", "五", "六" ];
  const date = new Date(_time);
  const Y = date.getFullYear();
  const M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1);
  const D = (date.getDate() < 10 ? '0' + date.getDate() : date.getDate());
  const h = (date.getHours() < 10 ? '0' + date.getHours() : date.getHours());
  const m = (date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes());
  const s = (date.getSeconds() < 10 ? '0' + date.getSeconds() : date.getSeconds());
  let weekDay = new Date().getDay();
  const week= weekList[weekDay]
  // const strDate = `${Y}/${M}/${D} ${h}:${m}:${s}`
  return `${Y}年${M}月${D}日 星期${week}`;
}

export default {
  dateFormat
}





